#include "utils.hpp"
#include <iostream>
#include <string>
#include <fstream>
#include <vector>

namespace dropshell {

void maketitle(const std::string& title) {
    std::cout << std::string(title.length() + 4, '-') << std::endl;
    std::cout << "| " << title << " |" << std::endl;
    std::cout << std::string(title.length() + 4, '-') << std::endl;
}

bool replace_line_in_file(const std::string& file_path, const std::string& search_string, const std::string& replacement_line) {
    std::ifstream input_file(file_path);
    std::vector<std::string> file_lines;
    std::string line;

    if (!input_file.is_open()) {
        std::cerr << "Error: Unable to open file: " << file_path << std::endl;
        return false;
    }

    while (std::getline(input_file, line)) {
        if (line.find(search_string) != std::string::npos)
            file_lines.push_back(replacement_line);
            else
                file_lines.push_back(line);
        }
    input_file.close();
        
    std::ofstream output_file(file_path);
    if (!output_file.is_open())
    {
        std::cerr << "Error: Unable to open file: " << file_path << std::endl;
        return false;
    }
    for (const auto& modified_line : file_lines)
        output_file << modified_line << "\n";
    output_file.close();
    return true;
}

} // namespace dropshell 